import request from '@/utils/request'

// 查询阶段列表
export function listStage(query) {
  return request({
    url: '/ehr/pm/stage/list',
    method: 'get',
    params: query
  })
}

// 查询阶段详细
export function getStage(id) {
  return request({
    url: '/ehr/pm/stage/' + id,
    method: 'get'
  })
}

// 新增阶段控制
export function addStage(data) {
  return request({
    url: '/ehr/pm/stage',
    method: 'post',
    data: data
  })
}

// 修改阶段控制
export function updateStage(data) {
  return request({
    url: '/ehr/pm/stage',
    method: 'put',
    data: data
  })
}

// 发布阶段
export function publishStage(data) {
  return request({
    url: '/ehr/pm/stage/publish',
    method: 'post',
    data: data
  })
}